Skip to main content
GET
/
api
/
bazaar
/
sales
Get Bazaar Sales
curl --request GET \
  --url https://api.example.com/api/bazaar/sales
import requests

url = "https://api.example.com/api/bazaar/sales"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/bazaar/sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


page
number
default:"1"
Page number
limit
number
default:"50"
Results per page (max 100)
itemCode
string
Filter by item code
commodityType
string
Filter: ITEM, SKIN, or TOOL
period
string
default:"7d"
24h, 7d, 30d, 6m, or all
since
string
Start date (ISO string or unix timestamp)
until
string
End date (ISO string or unix timestamp)
minPrice
number
Minimum price
maxPrice
number
Maximum price
filterStatus
string
default:"completed"
Sale status filter
filterToken
string
Filter by payment token (e.g. BORNE)
wallet
string
Filter by wallet address — returns trades where the wallet was buyer or seller
Requires x-api-token header.

Response Fields

FieldDescription
salesArray of sale records
sales[].totalPriceTotal sale price (BORNE)
sales[].pricePerUnitPrice per single item (BORNE)
sales[].amountQuantity sold
sales[].txHashOn-chain transaction hash
sales[].buyerAddressBuyer wallet address
sales[].sellerAddressSeller wallet address
paginationPage info (page, limit, total, totalPages, hasNext, hasPrev)
stats.avgPriceAverage per-unit price across filtered sales
stats.minPriceLowest per-unit sale price
stats.maxPriceHighest per-unit sale price
stats.totalVolumeTotal volume (BORNE)
stats.salesCountNumber of sales
priceChangesFloor price changes for 24h, 7d, 30d, 6m windows (only when itemCode is specified). Uses floor price snapshots to match in-game values.